- name: Sebastian Kippe
  role: Chairman
- name: Garret Alfert
  role: Secretary
- name: Michael Bumann
  role: Treasurer
- name: Greg Karékinian
  role: Director
- name: Nick Jennings
  role: Director
